%define python_sitelib %(%{__python} -c "from distutils.sysconfig import get_python_lib; print get_python_lib()")
%define poppler_version 0.5.2
%define gtk2_version 2.9.4

Name:		evince-olpc
Version:	0.3
Release:	1
Summary:	Document viewer

License: 	GPL
Group:		Applications/Publishing
URL:		http://dev.laptop.org
Source0: 	%{name}-%{version}.tar.bz2
BuildRoot: 	%{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires:	gtk2-devel >= %{gtk2_version}
BuildRequires:	poppler-devel >= %{poppler_version}

%description
evince is a GNOME-based document viewer. This is the version developed for OLPC.

%prep
%setup -q

%build
%configure --disable-static --disable-scrollkeeper
make %{?_smp_mflags}


%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT
rm $RPM_BUILD_ROOT%{python_sitelib}/evince/*.la
rm $RPM_BUILD_ROOT%{_libdir}/*.la

# FIXME
rm -rf $RPM_BUILD_ROOT%{_datadir}/locale
rm -rf $RPM_BUILD_ROOT%{_datadir}/icons
rm -rf $RPM_BUILD_ROOT%{_datadir}/applications
rm -rf $RPM_BUILD_ROOT%{_datadir}/evince-olpc
rm -rf $RPM_BUILD_ROOT%{_sysconfdir}

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root,-)
%{_libdir}/libevince.*
%{python_sitelib}/*
%{_datadir}/pygtk/2.0/defs/evince.defs

%changelog
* Fri Sep  7 2007 Marco Pesenti Gritti <mpg@redhat.com> - 0.3-1
- Build 0.3

* Thu Jun 21 2007 Marco Pesenti Gritti <mpg@redhat.com - 0.2-2
- Rebuild on Fedora 7

* Fri Mar 16 2007 Marco Pesenti Gritti <mpg@redhat.com - 0.2-1
- Build 0.2
